<template>
    <div>
        <table class="table table-hover" v-if="projects && projects.length>0">
            <thead>
                <tr>
                    <th>Intitulé</th>
                    <th>Type</th>
                    <th>Commercial</th>
                    <th>Responsable technique</th>
                    <th>CA vendu</th>
                    <th>Date estimée début</th>
                    <th>Date estimée fin</th>
                    <th>Scrum</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="(project,index) in projects">
                    <td>{{project.title}}</td>
                    <td>{{project.type}}</td>
                    <td>{{project.commercial.firstname}} {{project.commercial.lastname}}</td>
                    <td>{{project.technical.firstname}} {{project.technical.lastname}}</td>
                    <td>{{project.ca}}</td>
                    <td>{{project.startDate | formatdate}}</td>
                    <td>{{project.endDate | formatdate}}</td>
                    <td>
                        <span v-if="project.scrum"> Oui </span>
                        <span v-else> Non </span>
                    </td>
                    <td>
                        <button class="btn btn-primary float-right but" v-on:click="edit(project)">Modifier</button>
                        <button class="btn btn-secondary float-right but" v-if="project.scrum" v-on:click="sprints(project)">Sprints</button>
                        <button class="btn btn-info float-right but" v-on:click="resources(project)">Resources</button>
                        <button class="btn btn-success float-right but" v-on:click="cahier(project)">Document</button>
                        <button class="btn btn-primary float-right but" v-on:click="facture(project)">Devi</button>
                    </td>
                </tr>
    
            </tbody>
        </table>
        <h2 v-else> Aucun projet a afficher</h2>
    </div>
</template>

<script>
export default {
    props: ['projects'],
    methods: {
        edit(project) {
            this.$emit('edit', project);
        },
        sprints(project) {
            this.$emit('sprints', project);
        },
        resources(project) {
            this.$emit('resources', project);
        },
        cahier(project) {
            this.$emit('cahier', project);
        },
        facture(project) {
            this.$emit('facture', project);
        }
    }
}
</script>

<style>

</style>
